Delete cloned voice
curl --request DELETE \
--url https://supertoneapi.com/v1/custom-voices/{voice_id} \
--header 'x-sup-api-key: <api-key>'import requests
url = "https://supertoneapi.com/v1/custom-voices/{voice_id}"
headers = {"x-sup-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-sup-api-key': '<api-key>'}};
fetch('https://supertoneapi.com/v1/custom-voices/{voice_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://supertoneapi.com/v1/custom-voices/{voice_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-sup-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://supertoneapi.com/v1/custom-voices/{voice_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-sup-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.delete("https://supertoneapi.com/v1/custom-voices/{voice_id}")
.header("x-sup-api-key", "<api-key>")
.asString();{
"status": "error",
"message": {
"message": "Invalid API Key",
"error": "Unauthorized"
}
}{
"status": "error",
"message": {
"message": "Voice not found",
"error": "Not Found"
}
}{
"status": "error",
"message": {
"message": "Failed to convert text to speech",
"error": "Internal Server Error"
}
}Custom voices
Delete custom voice
계정에서 커스텀(클론드) 보이스를 영구적으로 삭제합니다.
DELETE
/
v1
/
custom-voices
/
{voice_id}
Delete cloned voice
이 문서는 영어 원문을 기반으로 자동 번역되었습니다. 표현이 어색하거나 모호한 부분이 있을 수 있으니, 정확한 내용은 영어 원문을 함께 확인해 주세요.
해당 보이스로 이미 생성한 오디오 클립은 영향을 받지 않습니다. 보이스 자체만 제거되며, 삭제된
voice_id를 참조하는 이후의 TTS 호출은 404 Not Found를 반환합니다.엔드포인트
DELETE https://supertoneapi.com/v1/custom-voices/{voice_id}
경로 파라미터
| Name | Required | Description |
|---|---|---|
voice_id | ✅ | 삭제할 커스텀 보이스의 ID입니다. |
응답
성공 시 빈 본문과 함께200 OK를 반환합니다.
오류
| Status | Cause |
|---|---|
404 Not Found | 해당 보이스가 계정에 존재하지 않습니다. |
403 Forbidden | 해당 보이스가 다른 계정에 속합니다. |
함께 보기
Docs: Custom voices
커스텀 보이스의 전체 라이프사이클입니다.
List custom voices
삭제 전에 커스텀 보이스를 탐색합니다.
⌘I